<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
				
		$.ajax({
			type	: "POST",
			url		: "modul/karyawan/cari.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nik").val(kode);
				$("#txt_nama").val(data.nama);				
				$("#txt_tglmasuk").val(data.tglmasuk);
				$("#txt_kodejab").val(data.kodejab);
				$("#txt_jabatan").val(data.tjabatan);				
				$("#txt_alamat").val(data.alamat);
				$("#txt_tplahir").val(data.tplahir);
				$("#txt_tglahir").val(data.tglahir);
				$("#txt_pendid").val(data.pendid);
				$("#txt_sex").val(data.sex);
				$("#txt_statkwn").val(data.statkwn);
				$("#txt_jmlanak").val(data.jmlanak);				
				$("#txt_gapok").val(data.gapok);
				$("#txt_umak").val(data.umak);
				$("#txt_tunjab").val(data.tunjab);				
				$("#akses").val(data.akses);
				alert("Data sudah di tampung pada tab inputan, silahkan klik !")
			}
		});
	}
	
	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url	: "modul/karyawan/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				$("#tampil_data").load('modul/karyawan/tampil_data.php');
				$("#akses").val('');
			}
		});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$cari	= $_GET['cari'];
echo "<table id='theList' width='100%'>
		<tr>			
			<th>NIK</th>
			<th>Nama Karyawan</th>
			<th>Tgl.Masuk</th>
			<th>Jabatan</th>
			<th>Alamat</th>
			<th>Tempat Lahir</th>
			<th>Tgl.Lahir</th>
			<th>Pendidikan</th>
			<th>Jns.Kelamin</th>
			<th>Status Kawin</th>
			<th>Jml.Anak</th>
			<th>Gaji Pokok</th>
			<th>Uang Makan</th>
			<th>Tunj. Jabatan</th>
			<th>Aksi</th>
		</tr>";
		
	if (!empty($cari)){
		$sql	= "SELECT * FROM karyawan WHERE (nik LIKE '%$cari%' OR nama LIKE '%$cari%') ORDER BY nik";
	}
	else{
		$sql	= "SELECT * FROM karyawan";
	}
	$query = mysql_query($sql);

	$jml=0;
	while($r_data=mysql_fetch_array($query)){
		$jml++;
			
		echo "<tr>			
			<td>$r_data[nik]</td>
			<td>$r_data[nama]</td>
			<td align='center'>".jin_date_str($r_data[tglmasuk])."</td>
			<td>$r_data[jabatan]</td>					
			<td>$r_data[alamat]</td>
			<td>$r_data[tplahir]</td>
			<td align='center'>".jin_date_str($r_data[tglahir])."</td>
			<td>$r_data[pendidikan]</td>
			<td>$r_data[sex]</td>
			<td>$r_data[status_kwn]</td>
			<td>$r_data[jml_anak]</td>
			<td align='right'>".number_format($r_data[gapok],0)."</td>
			<td align='right'>".number_format($r_data[umak],0)."</td>
			<td align='right'>".number_format($r_data[tunj_jab],0)."</td>
			<td align='center'>
				<a href='javascript:void(0)' onClick=\"edit_data('$r_data[nik]')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12'>
				</a>
				<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[nik]')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
				</a>
			</td>
		</tr>";
	}
		
	echo "</table>";
	echo "<table width='100%'>
		<tr>
			<td>Jumlah Data : $jml</td>			
		</tr>
		</table>";
?>